Subject: RE: [PATCH v2] iommu: Allow device driver to use its own PASID space for SVA

From: Joonwon Kang <[email-masked]>
Date: Tue, 26 May 2026 08:44:17 +0000

> > From: Joonwon Kang <[email-masked]>
> > Sent: Tuesday, May 26, 2026 2:58 PM
> > 
> > > On Mon, May 25, 2026 at 03:29:24PM +0000, Joonwon Kang wrote:
> > >
> > > > Currently, the only known expected user of the new kAPI is our team.
> > Since
> > > > I test if the patch resolves our problem before sending it, I believe it
> > > > should be good enough. Do you mean more than our team by
> > "accompanied
> > > > users"?
> > >
> > > He means you cannot send patches like this that only serve OOT drivers
> > > to the mainline kernel.
> > 
> > Hmm, it gets back to the chicken-and-egg problem. So, do you recommend
> > deferring the patch submission until we find a new in-tree user of the
> > new kAPI? I believe we will not make our module in-tree anytime soon.
> > Or, is it like I still can send the patch and get it reviewed although we
> > cannot merge it to the mainline?
> > 
> 
> It's not chicken-and-egg problem. Just always send them together.
> 
> so let's wait until your module is ready for in-tree review...

Alright, thanks. I will wait until any in-tree users show up in the future
and continue working on this then. Please let me know if there is any
request later.

Appreciate all for reviewing the patches from RFC to this point :)

Thanks,
Joonwon Kang